VMB Motherboard Specification

Motherboard Specification

Operation

The motherboard provides 256 slots, each of which can be used to connect a VMB device to the motherboard. The motherboard implements the Virtual Bus Specification and forwards messages (see Message Specification) between the devices connected.

Once started, the motherboard reads the file default.vmb. From this file it will get the port number where the motherboard opens a server socket. Through this socket it will accept connections from the devices and establishes point-to-point TCP/IP connections with the devices. The devices are expected to send a registrations message as the first message.

Unix

The implementation under UNIX is a command line application. It accepts the following commands:
help | display this help message
debug | switch on debugging output
nodebug | switch off debugging output
verbose | increase verbosity (more output)
quiet | decrease verbosity (less output)
on | send all slots the power on message
off | send all slots the power off message
reset | send all slots the reset message
terminate | send all slots the terminate message
info | display information about the slots in use
close n | close slot number n
signal n | send signal n to the devices
slot n | display details about slot n
quit | terminte all slots and the motherboard

Win32

The windows application has a GUI. The Power On, Power Off functionality is provided by a powert button. The reset Functionality is provided by a Reset button. All the other functions can be accessed through the context menu (open with a click on the right mouse button).

Motherboard Configuration

The motherboard has the following configurable parameters:
port | 9002 | the port where the bus is located
x | 0 | the x position of the window
y | 0 | the y position of the window
minimized | false | start with a minimized window
debug | false | to generate debug output
debugmask | 0xFFF0 | set mask to hide debug output
verbose | false | make debugging verbose, sets debug mask to zero
define | not set | to define a name for conditionals
terminate | not set | terminate the motherboard after starting devices (use for remote devices)
config | not set | filename for a configuration file
help | false | to print information
on | false | turn Power on after start up.
These can be set in default.vmb